Parę pytań dot. Debiana Testing


(Qba Lukaszczyk) #1

Witam!

Dość niedawno zmieniłem Debiana ze Stable na Testing. Parę rzeczy się zmieniło, dlatego mam kilka pytań.

  1. zrzucik.th.png

Dlaczego widać GNOME w wersji 3.0.2, a mam interfejs 2.3x?

  1. Chcę zainstalować aircrack-ng, jednak

    root@auditore:/home/sunbeam# aptitude install aircrack-ng

    Brak kandydującej wersji aircrack-ng

    Brak kandydującej wersji aircrack-ng

    Nie zostaną zainstalowane, zaktualizowane ani usunięte żadne pakiety.

    0 pakietów aktualizowanych, 0 instalowanych, 0 do usunięcia i 0 nie aktualizowanych.

    Do pobrania 0 B archiwów. Zajęte po rozpakowaniu: 0 B.

    root@auditore:/home/sunbeam#

Mój sources.list:

# Seryjne wpisy 

deb http://ftp.debian.org/debian/ wheezy main

deb-src http://ftp.pwr.wroc.pl/debian/ wheezy main


deb http://security.debian.org/ wheezy/updates main

deb-src http://security.debian.org/ wheezy/updates main


# Podstawowe wpisy non-free z debian.linux.pl

deb http://ftp.debian.org/debian/ testing main non-free contrib

deb-src http://ftp.debian.org/debian/ testing main non-free contrib

deb http://security.debian.org/ testing/updates main contrib non-free

deb-src http://security.debian.org/ testing/updates main contrib non-free


# Multimedia, kodeki, etc.


deb http://www.debian-multimedia.org testing main

deb-src http://www.debian-multimedia.org testing main


# "Murrine" GTK+ 2.x engine

deb http://download.tuxfamily.org/osrdebian testing extra

deb-src http://download.tuxfamily.org/osrdebian testing extra
  1. Można downgrade'ować z Testing lub Sid do Stable?

(Kaka') #2
  1. Zapewne dlatego, że nie wszystkie pakiety zostały zaktualizowane do tych z trzeciej wersji GNOME'a. Polecam: http://www.0d.be/debian/debian-gnome-3.0-status.html

  2. http://packages.debian.org/search?keywo ... ection=all

  3. Można, ale bez odpowiedniej wiedzy na ten temat, więcej namieszasz niż powrócisz do starszej wersji.


(Qba Lukaszczyk) #3

Kaka' , czyli, żeby zainstalować aircrack-ng potrzebuję Sida?

Nie ma też wielu innych aplikacji np. emulatora terminala urxvt.

Chodzi mi o to, że w tym linku co podałeś jest tylko Lenny (oldstable) i Sid (unstable).

Tutaj erkraka nie znalazłem.


(Kaka') #4

W kwestii aircrack niekoniecznie. Nie musisz robić upgrade'a specjalnie do Sida. Możesz zainstalować tą konkretną paczkę z unstable na testing, pamiętając przy tym o uzupełnieniu pozostałych zależności. Poza tym, możesz spróbować z paczką od Lenny (ale pamiętaj przy tym, że wersja programu jest starsza). Istnieje również możliwość dodania repozytorium Sid'a, ale instalowania z niego (jak i późniejszego aktualizowania) tylko wybranych paczek. Po więcej odsyłam do Google.

W kwestii urxvt, to znajduje się on w testing, ale nazwa pakietu jest trochę inna (zresztą jak w każdej gałęzi), a konkretnie rxvt-unicode. http://packages.debian.org/search?keywo ... ection=all

Osobiście preferuję Debian Unstable + Experimental, aniżeli testing. Często potrzebuję nowszych paczek, a tego niestety w testing brakuje (głównie ze względu na politykę Debiana, zwłaszcza względem bug'ów pakietów).

aloha!


(system) #5

http://www.aircrack-ng.org/doku.php?id= ... n_packages